<?PHP
/**
 * Return array by Index
 * @api
 */
class Tx_CaGuestbook_ViewHelpers_BbcodeViewHelper extends Tx_Fluid_Core_ViewHelper_AbstractViewHelper {
 

	/**  
     * @param string $value
     * @return string
     */ 
    public function render($value) {
        strip_tags($value);
        $value = nl2br($value);
        $value = preg_replace('#\[b\](.+)\[\/b\]#iUs', '<span style="font-weight:bold;">$1</span>', $value);
        $value = preg_replace('#\[i\](.+)\[\/i\]#iUs', '<span style="font-style:italic;">$1</span>', $value);
        $value = preg_replace('#\[u\](.+)\[\/u\]#iUs', '<span style="text-decoration: underline;">$1</span>', $value);
        $value = preg_replace('#\[link\=(.+)\](.+)\[\/link\]#iUs', '<a href="$1">$2</a>', $value);
        $value = preg_replace('#\[img\](.+)\[\/img\]#iUs', '<img src="$1" alt="Image" />', $value); 
        $value = preg_replace('#\[quote\=(.+)\](.+)\[\/quote]#iUs', '<div class="quote">$2</div><div class="quote-by">By: $1</div>', $value);

        return $value;
    }
}

?>