<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$GLOBALS['TCA']['tx_caguestbook_domain_model_entries'] = array(
	'ctrl' => $GLOBALS['TCA']['tx_caguestbook_domain_model_entries']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'hidden, name, email, url, text, subject, date',
	),
	'types' => array(
		'1' => array('showitem' => 'hidden;;1, name, email, url, text, subject, date, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(

		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),

		'name' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:ca_guestbook/Resources/Private/Language/locallang_db.xlf:tx_caguestbook_domain_model_entries.name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'email' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:ca_guestbook/Resources/Private/Language/locallang_db.xlf:tx_caguestbook_domain_model_entries.email',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'url' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:ca_guestbook/Resources/Private/Language/locallang_db.xlf:tx_caguestbook_domain_model_entries.url',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),                
		'text' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:ca_guestbook/Resources/Private/Language/locallang_db.xlf:tx_caguestbook_domain_model_entries.text',
			'config' => array(
                'type' => 'text',
                'cols' => '30',
                'rows' => '5',
				'eval' => 'required'
			),
		),
		'subject' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:ca_guestbook/Resources/Private/Language/locallang_db.xlf:tx_caguestbook_domain_model_entries.subject',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'date' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:ca_guestbook/Resources/Private/Language/locallang_db.xlf:tx_caguestbook_domain_model_entries.date',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0
			),
		),
		
	),
);
